=== debian/changelog ===
rocminfo (5.0.0-1) unstable; urgency=medium

  [ Maxime Chambonnet ]
  * New upstream version 5.0.0
  * Hardened in d/rules
  * Update maintainer address to debian-ai@l.d.o.
  * propagated roc runtime soname rollback to d/control BD
  * extend auto clean to patches in case of crash
  * Remove uupdate from d/watch
  * Removed auto-clean improved: using > gbp buildpackage
    --git-export-dir instead, which first clones the source nearby.

  [ Mo Zhou ]
  * Add version requirement on ROCm B-Ds.
  * Get rid of the duplicated license install.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Tue, 15 Feb 2022 10:41:42 -0500

rocminfo (3.3.0-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #960982)

  [ Mo Zhou ]
  * Initial packaging.

  [ Norbert Preining ]
  * Update to 3.3.0.

 -- Norbert Preining <norbert@preining.info>  Wed, 20 May 2020 09:19:54 +0900
