=== debian/control ===
Source: rocminfo
Section: devel
Homepage: https://github.com/RadeonOpenCompute/rocminfo
Priority: optional
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/rocm-team/rocminfo.git
Vcs-Browser: https://salsa.debian.org/rocm-team/rocminfo
Maintainer: ROCm Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Maxime Chambonnet <maxzor@maxzor.eu>,
Build-Depends:  debhelper-compat (= 13),
                cmake,
                libhsakmt-dev (>= 5.0.0~),
                libhsa-runtime-dev (>= 5.0.0~),

Package: rocminfo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, python3
Description: ROCm Application for Reporting System Info
 rocminfo gives information about the HSA system attributes and agents.
 This package is part of AMD ROCm software stack.
