=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -Scmake

# execute_before_dh_clean:
# 	rm -rf .pc
# 	git checkout CMakeLists.txt

override_dh_auto_configure:
	dh_auto_configure -- \
		-DROCM_DIR=/usr \
		-DCMAKE_INSTALL_PREFIX=/usr

execute_after_dh_auto_install:
	find debian -type f -name License.txt -print -delete

override_dh_missing:
	dh_missing --fail-missing
