## rocminfo 5.1.0

=== debian/changelog ===
rocminfo (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0
  * Add the missing runtime Dep pciutils.
  * Bump ROCm B-D to (>= 5.1.0~).

 -- Mo Zhou <lumin@debian.org>  Fri, 08 Apr 2022 10:27:05 -0400
