=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
            Maxime Chambonnet <maxzor@maxzor.eu>,
 Build-Depends:  debhelper-compat (= 13),
                 cmake,
-                libhsakmt-dev (>= 5.0.0~),
-                libhsa-runtime-dev (>= 5.0.0~),
+                libhsakmt-dev (>= 5.1.0~),
+                libhsa-runtime-dev (>= 5.1.0~),
 
 Package: rocminfo
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, python3
+Depends: ${misc:Depends}, ${shlibs:Depends}, python3, pciutils
 Description: ROCm Application for Reporting System Info
  rocminfo gives information about the HSA system attributes and agents.
  This package is part of AMD ROCm software stack.
