## rocminfo 5.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -206,7 +206,7 @@
 endif()
 
 #Debian package specific variables
-set(CPACK_DEBIAN_PACKAGE_DEPENDS "hsa-rocr, kmod")
+set(CPACK_DEBIAN_PACKAGE_DEPENDS "hsa-rocr, kmod, pciutils")
 set(CPACK_DEBIAN_PACKAGE_HOMEPAGE ${CPACK_DEBIAN_PACKAGE_HOMEPAGE} CACHE STRING "https://github.com/RadeonOpenCompute/ROCm")
 if (DEFINED ENV{CPACK_DEBIAN_PACKAGE_RELEASE})
    set(CPACK_DEBIAN_PACKAGE_RELEASE $ENV{CPACK_DEBIAN_PACKAGE_RELEASE})
@@ -218,7 +218,7 @@
 endif()
 
 #RPM package specific variables
-set(CPACK_RPM_PACKAGE_REQUIRES "hsa-rocr kmod")
+set(CPACK_RPM_PACKAGE_REQUIRES "hsa-rocr kmod pciutils")
 if(DEFINED CPACK_PACKAGING_INSTALL_PREFIX)
   set ( CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION "${CPACK_PACKAGING_INSTALL_PREFIX} ${CPACK_PACKAGING_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR}" )
 endif()
