=== debian/changelog ===
rocminfo (5.2.3-2) unstable; urgency=medium

  * cross.patch: fix failure to cross-build from source.
    Thanks to Helmut Grohne for the heavy lifting (Closes: #1024611)
  * d/salsa-ci.yml: disable i386 while dependencies are missing.
  * d/control: rocminfo depends on kmod.
    Thanks to Cordell Bloor (Closes: #1026931)
  * d/copyright: update copyright year.

 -- Étienne Mollier <emollier@debian.org>  Mon, 02 Jan 2023 22:35:17 +0100

rocminfo (5.2.3-1) unstable; urgency=medium

  * Migrate ROCm 5.2.3 to unstable.

 -- Étienne Mollier <emollier@debian.org>  Wed, 19 Oct 2022 19:52:21 +0200

rocminfo (5.2.3-1~0exp0) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * d/control: add myself to uploaders.
  * d/control: bump build-dependency to ROCm 5.2.

 -- Étienne Mollier <emollier@debian.org>  Wed, 07 Sep 2022 21:32:54 +0200
