## rocminfo 5.7.1

=== debian/changelog ===
rocminfo (5.7.1-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:55:41 +1100

rocminfo (5.7.1-3) unstable; urgency=medium

  * Fix autopkgtests on systems without AMD GPUs

 -- Cordell Bloor <cgmb@slerp.xyz>  Tue, 19 Mar 2024 17:55:24 -0600

rocminfo (5.7.1-2) unstable; urgency=medium

  * Add d/p/fix-escape-sequence.patch to fix invalid escape sequence warning
    when running rocm_agent_enumerator. (Closes: #1065405)
  * Add trivial autopkgtests.
  * Add d/gbp.conf to ensure consistent settings.
  * Tidy up d/p/cmakefile-fixes.patch.
  * Use d/not-installed to control exclude files.

 -- Cordell Bloor <cgmb@slerp.xyz>  Mon, 18 Mar 2024 18:32:35 -0600

rocminfo (5.7.1-1) unstable; urgency=medium

  * Migrate to unstable.
  * d/control: update maintainer name for consistency
  * d/control: add self to uploaders

 -- Cordell Bloor <cgmb@slerp.xyz>  Fri, 23 Feb 2024 15:14:34 -0700

rocminfo (5.7.1-1~exp1) experimental; urgency=medium

  * Team upload.

  * New upstream version 5.7.1
  * Refresh patches and drop those applied upstream
  * Update upstream URL
  * d/control: fix grammar in package description

 -- Cordell Bloor <cgmb@slerp.xyz>  Tue, 09 Jan 2024 17:56:14 -0700

rocminfo (5.2.3-3) unstable; urgency=medium

  * Team upload.

  * add d/p/fix-crash-on-kfd-permission-error.patch (Closes: #1031423)
  * d/control: update standards version to 4.6.2
  * d/copyright: update for debian files

 -- Cordell Bloor <cgmb@slerp.xyz>  Thu, 02 Mar 2023 21:36:26 -0700
