=== debian/control ===
Source: rocminfo
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Maxime Chambonnet <maxzor@maxzor.eu>,
           Étienne Mollier <emollier@debian.org>,
           Cordell Bloor <cgmb@slerp.xyz>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libhsakmt-dev (>= 5.7.0~),
               libhsa-runtime-dev (>= 5.7.1~)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/rocm-team/rocminfo
Vcs-Git: https://salsa.debian.org/rocm-team/rocminfo.git
Homepage: https://github.com/ROCm/rocminfo
Rules-Requires-Root: no

Package: rocminfo
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         python3,
         pciutils,
         kmod
Description: ROCm Application for Reporting System Info
 rocminfo gives information about the HSA system attributes and agents.
 This package is part of the AMD ROCm software stack.
