=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rocminfo-$1.tar.gz%" \
https://github.com/ROCm/rocminfo/tags \
(?:.*?/)?rocm-v?(\d[\d.]*)\.tar\.gz debian
