## rocminfo 6.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -123,7 +123,6 @@
 add_definitions(-DDEBUG)
 endif()
 
-add_definitions(-D__linux__)
 add_definitions(-DLITTLEENDIAN_CPU=1)
 
 #
@@ -174,12 +173,10 @@
 # Install directives
 ###########################
 install (
-   FILES ${CMAKE_CURRENT_BINARY_DIR}/${ROCMINFO_EXE}
-   PERMISSIONS OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
+   TARGETS ${ROCMINFO_EXE}
    DESTINATION ${CMAKE_INSTALL_BINDIR} )
 install (
-   FILES ${CMAKE_CURRENT_BINARY_DIR}/rocm_agent_enumerator
-   PERMISSIONS OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
+   PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/rocm_agent_enumerator
    DESTINATION ${CMAKE_INSTALL_BINDIR} )
 
 ###########################
@@ -196,7 +193,7 @@
 set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Radeon Open Compute (ROCm) Runtime rocminfo tool")
 
 #Install license file
-install(FILES ${CPACK_RESOURCE_FILE_LICENSE} DESTINATION share/doc/${CPACK_PACKAGE_NAME})
+install(FILES ${CPACK_RESOURCE_FILE_LICENSE} DESTINATION ${CMAKE_INSTALL_DOCDIR})
 
 #Make proper version for appending
 #Default Value is 99999, setting it first
