=== debian/changelog ===
rocminfo (6.1.2-1) unstable; urgency=medium

  * Upload to unstable. 

 -- Christian Kastner <ckk@debian.org>  Mon, 21 Oct 2024 23:25:13 +0200

rocminfo (6.1.2-1~exp1) experimental; urgency=medium

  [ Xuanteng Huang ]
  * New upstream version 6.1.2
  * Refresh patches to the new upstream version
  * Add myself to Uploaders

  [ Christian Kastner ]
  * Add myself to Uploaders

 -- Xuanteng Huang <xuanteng.huang@outlook.com>  Thu, 19 Sep 2024 23:31:08 +0800
