=== debian/control ===
Source: rocminfo
Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Maxime Chambonnet <maxzor@maxzor.eu>,
           Étienne Mollier <emollier@debian.org>,
           Cordell Bloor <cgmb@slerp.xyz>,
           Xuanteng Huang <xuanteng.huang@outlook.com>,
           Christian Kastner <ckk@debian.org>,
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libhsakmt-dev (>= 6.1.2~),
               libhsa-runtime-dev (>= 6.1.2~)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/rocm-team/rocminfo
Vcs-Git: https://salsa.debian.org/rocm-team/rocminfo.git
Homepage: https://github.com/ROCm/rocminfo
Rules-Requires-Root: no

Package: rocminfo
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         python3,
         pciutils,
         kmod
Description: ROCm Application for Reporting System Info
 rocminfo gives information about the HSA system attributes and agents.
 This package is part of the AMD ROCm software stack.
