## rocminfo 6.4.1

=== debian/changelog ===
rocminfo (6.4.1-1~exp1) experimental; urgency=medium

  * New upstream version 6.4.1
  * Refresh patches for new upstream version

 -- Cordell Bloor <cgmb@slerp.xyz>  Sun, 22 Jun 2025 23:52:58 -0600

rocminfo (6.1.2-2) unstable; urgency=medium

  * Limit architectures to amd64 arm64 ppc64el
  * Add Mario to uploaders

 -- Mario Limonciello <superm1@gmail.com>  Mon, 03 Feb 2025 23:12:18 -0600
