## rocminfo 6.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,6 +46,9 @@
   return()
 endif()
 
+# Generate static package, when BUILD_SHARED_LIBS is set to OFF.
+# Default to ON
+option(BUILD_SHARED_LIBS "Build using shared libraries" ON)
 ## Set default module path if not already set
 if(NOT DEFINED CMAKE_MODULE_PATH)
     set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
@@ -137,13 +140,12 @@
 set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -fms-extensions)
 set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -Werror)
 set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -Wall)
-set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -m64)
 
 #
 # Extend the compiler flags for 64-bit builds
 #
 if((${CMAKE_HOST_SYSTEM_PROCESSOR} STREQUAL "x86_64") OR (${CMAKE_HOST_SYSTEM_PROCESSOR} STREQUAL "AMD64"))
-  set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -msse -msse2)
+  set(ROCMINFO_CXX_FLAGS ${ROCMINFO_CXX_FLAGS} -m64 -msse -msse2)
 endif()
 
 #
@@ -182,7 +184,12 @@
 ###########################
 # Packaging directives
 ###########################
-set(CPACK_PACKAGE_NAME "${PROJECT_NAME}")
+if(BUILD_SHARED_LIBS)
+  set(CPACK_PACKAGE_NAME "${PROJECT_NAME}")
+else()
+  set(CPACK_RPM_PACKAGE_NAME "${PROJECT_NAME}-static-devel")
+  set(CPACK_DEBIAN_PACKAGE_NAME "${PROJECT_NAME}-static-dev")
+endif()
 set(CPACK_PACKAGE_VENDOR "Advanced Micro Devices, Inc.")
 set(CPACK_PACKAGE_VERSION_MAJOR "${PKG_VERSION_MAJOR}")
 set(CPACK_PACKAGE_VERSION_MINOR "${PKG_VERSION_MINOR}")
@@ -203,7 +210,7 @@
 endif()
 
 #Debian package specific variables
-set(CPACK_DEBIAN_PACKAGE_DEPENDS "hsa-rocr, kmod, pciutils")
+set(CPACK_DEBIAN_PACKAGE_DEPENDS "hsa-rocr, pciutils, python3, libc6, libgcc-s1 | libgcc1, libstdc++6")
 set(CPACK_DEBIAN_PACKAGE_HOMEPAGE ${CPACK_DEBIAN_PACKAGE_HOMEPAGE} CACHE STRING "https://github.com/RadeonOpenCompute/ROCm")
 if (DEFINED ENV{CPACK_DEBIAN_PACKAGE_RELEASE})
    set(CPACK_DEBIAN_PACKAGE_RELEASE $ENV{CPACK_DEBIAN_PACKAGE_RELEASE})
@@ -215,7 +222,20 @@
 endif()
 
 #RPM package specific variables
-set(CPACK_RPM_PACKAGE_REQUIRES "hsa-rocr kmod pciutils")
+execute_process(COMMAND rpm --eval %{?dist}
+                 RESULT_VARIABLE PROC_RESULT
+                 OUTPUT_VARIABLE EVAL_RESULT
+                 OUTPUT_STRIP_TRAILING_WHITESPACE)
+message("RESULT_VARIABLE ${PROC_RESULT} OUTPUT_VARIABLE: ${EVAL_RESULT}")
+
+if(PROC_RESULT EQUAL "0" AND "${EVAL_RESULT}" STREQUAL ".el7")
+  # In Centos using parentheses is causing cpack errors.
+  # Set the dependencies specifically for centos
+  set(CPACK_RPM_PACKAGE_REQUIRES "hsa-rocr, pciutils, python3, glibc, libgcc, libstdc++")
+else()
+  set(CPACK_RPM_PACKAGE_REQUIRES "hsa-rocr, pciutils, python3, glibc, (libgcc or libgcc_s1), (libstdc++ or libstdc++6)")
+endif() # End EVAL_RESULT
+
 if(DEFINED CPACK_PACKAGING_INSTALL_PREFIX)
   set ( CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION "${CPACK_PACKAGING_INSTALL_PREFIX} ${CPACK_PACKAGING_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR}" )
 endif()
@@ -227,6 +247,9 @@
 if ( ROCM_DEP_ROCMCORE )
   string ( APPEND CPACK_RPM_PACKAGE_REQUIRES " rocm-core" )
 endif()
+# Cpack converts !/usr/bin/env python3 to /usr/libexec/platform-python in RHEL8.
+# prevent the BRP(buildroot policy) script from checking and modifying interpreter directives
+set(CPACK_RPM_SPEC_MORE_DEFINE "%undefine __brp_mangle_shebangs")
 
 #Set rpm distro
 if(CPACK_RPM_PACKAGE_RELEASE)
@@ -240,4 +263,8 @@
 set(CPACK_DEBIAN_FILE_NAME "DEB-DEFAULT")
 set(CPACK_RPM_FILE_NAME "RPM-DEFAULT")
 
+if(NOT BUILD_SHARED_LIBS)
+  string(REPLACE "hsa-rocr" "hsa-rocr-static-dev" CPACK_DEBIAN_PACKAGE_DEPENDS ${CPACK_DEBIAN_PACKAGE_DEPENDS})
+  string(REPLACE "hsa-rocr" "hsa-rocr-static-devel" CPACK_RPM_PACKAGE_REQUIRES ${CPACK_RPM_PACKAGE_REQUIRES})
+endif()
 include ( CPack )
