=== debian/changelog ===
rocminfo (6.4.3-1) unstable; urgency=medium

  * New upstream version 6.4.3

 -- Mario Limonciello <superm1@debian.org>  Fri, 15 Aug 2025 21:32:29 -0500
