=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
            Cordell Bloor <cgmb@slerp.xyz>,
            Xuanteng Huang <xuanteng.huang@outlook.com>,
            Christian Kastner <ckk@debian.org>,
+           Mario Limonciello <superm1@gmail.com>,
 Section: devel
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -20,7 +21,7 @@
 Rules-Requires-Root: no
 
 Package: rocminfo
-Architecture: any
+Architecture: amd64 arm64 ppc64el
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          python3,
