=== debian/tests/control ===
Tests: rocminfo, enumerator
Depends: @, sed
Restrictions: superficial, skippable
