## rocminfo 7.1.0

=== debian/changelog ===
rocminfo (7.1.0-0ubuntu1) resolute; urgency=medium

  [ Igor Luppi ]
  * New upstream version 7.1.0
  * d/control: update maintainer field
  * d/control: update standards version
  * d/rules: update CMAKE_FLAGS

  [ Kentaro Hayashi ]
  * Use d/watch 5

 -- Igor Luppi <igor.luppi@canonical.com>  Wed, 03 Dec 2025 09:36:48 -0300
