=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: rocminfo
-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Maxime Chambonnet <maxzor@maxzor.eu>,
@@ -14,7 +15,7 @@
                cmake,
                libhsakmt-dev (>= 6.1.2~),
                libhsa-runtime-dev (>= 6.1.2~)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/rocm-team/rocminfo
 Vcs-Git: https://salsa.debian.org/rocm-team/rocminfo.git
 Homepage: https://github.com/ROCm/rocminfo
