=== debian/watch ===
Version: 5

Source: https://github.com/ROCm/rocminfo/tags
Matching-Pattern: (?:.*?/)?rocm-v?(\d[\d.]*)\.tar\.gz
Filenamemangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rocminfo-$1.tar.gz%
